﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug Unicode|Win32">
      <Configuration>Debug Unicode</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release Unicode|Win32">
      <Configuration>Release Unicode</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{C14D9535-35E5-4B7F-8614-B772A214EB0B}</ProjectGuid>
    <RootNamespace>BaseClasses</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC70.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC70.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">.\Debug_Unicode\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">.\Debug_Unicode\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">.\Release_Unicode\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">.\Release_Unicode\</IntDir>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'" />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>.;..\..\..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG;_MBCS;_LIB;_WIN32_DCOM;DEBUG;WINVER=0x400;WIN32;UNICODE;POINTER_64=__ptr64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>streams.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>.\Debug_Unicode/baseclasses.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>.\Debug_Unicode/</AssemblerListingLocation>
      <ObjectFileName>.\Debug_Unicode/</ObjectFileName>
      <ProgramDataBaseFileName>.\Debug_Unicode/</ProgramDataBaseFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CallingConvention>StdCall</CallingConvention>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Lib>
      <AdditionalOptions>..\..\..\..\lib\strmiids.lib  /nodefaultlib  %(AdditionalOptions)</AdditionalOptions>
      <OutputFile>Debug_Unicode\strmbasd.lib</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">
    <ClCompile>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <AdditionalIncludeDirectories>.;..\..\..\..\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;_MBCS;_LIB;_WIN32_DCOM;WINVER=0x400;WIN32;UNICODE;POINTER_64=__ptr64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>streams.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>.\Release_Unicode/baseclasses.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>.\Release_Unicode/</AssemblerListingLocation>
      <ObjectFileName>.\Release_Unicode/</ObjectFileName>
      <ProgramDataBaseFileName>.\Release_Unicode/</ProgramDataBaseFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <CallingConvention>StdCall</CallingConvention>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
    </ResourceCompile>
    <Lib>
      <AdditionalOptions>..\..\..\..\lib\strmiids.lib  /nodefaultlib  %(AdditionalOptions)</AdditionalOptions>
      <OutputFile>Release_Unicode\STRMBASE.lib</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="amextra.cpp" />
    <ClCompile Include="amfilter.cpp" />
    <ClCompile Include="amvideo.cpp" />
    <ClCompile Include="combase.cpp" />
    <ClCompile Include="cprop.cpp" />
    <ClCompile Include="ctlutil.cpp" />
    <ClCompile Include="ddmm.cpp" />
    <ClCompile Include="dllentry.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="dllsetup.cpp" />
    <ClCompile Include="mtype.cpp" />
    <ClCompile Include="outputq.cpp" />
    <ClCompile Include="pstream.cpp" />
    <ClCompile Include="pullpin.cpp" />
    <ClCompile Include="refclock.cpp" />
    <ClCompile Include="renbase.cpp" />
    <ClCompile Include="schedule.cpp" />
    <ClCompile Include="seekpt.cpp" />
    <ClCompile Include="source.cpp" />
    <ClCompile Include="strmctl.cpp" />
    <ClCompile Include="sysclock.cpp" />
    <ClCompile Include="transfrm.cpp" />
    <ClCompile Include="transip.cpp" />
    <ClCompile Include="videoctl.cpp" />
    <ClCompile Include="vtrans.cpp" />
    <ClCompile Include="winctrl.cpp" />
    <ClCompile Include="winutil.cpp" />
    <ClCompile Include="wxdebug.cpp" />
    <ClCompile Include="wxlist.cpp" />
    <ClCompile Include="wxutil.cpp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="activex.rcv" />
    <None Include="activex.ver" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="dllsetup.h" />
    <ClInclude Include="dsschedule.h" />
    <ClInclude Include="fourcc.h" />
    <ClInclude Include="measure.h" />
    <ClInclude Include="msgthrd.h" />
    <ClInclude Include="mtype.h" />
    <ClInclude Include="outputq.h" />
    <ClInclude Include="pstream.h" />
    <ClInclude Include="pullpin.h" />
    <ClInclude Include="refclock.h" />
    <ClInclude Include="reftime.h" />
    <ClInclude Include="renbase.h" />
    <ClInclude Include="seekpt.h" />
    <ClInclude Include="source.h" />
    <ClInclude Include="streams.h" />
    <ClInclude Include="strmctl.h" />
    <ClInclude Include="sysclock.h" />
    <ClInclude Include="transfrm.h" />
    <ClInclude Include="transip.h" />
    <ClInclude Include="videoctl.h" />
    <ClInclude Include="vtrans.h" />
    <ClInclude Include="winctrl.h" />
    <ClInclude Include="winutil.h" />
    <ClInclude Include="wxdebug.h" />
    <ClInclude Include="wxlist.h" />
    <ClInclude Include="wxutil.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>